### Hierarchy

- XmlComponent
  - AbstractNumbering

## Index

### Constructors

- constructor

### Properties

- id

### Accessors

- IsDeleted

### Methods

- addChildElement
- addLevel
- createLevel
- delete
- prepForXml

## Constructors

### constructor

- new AbstractNumbering(id: number): AbstractNumbering

- Overrides XmlComponent.constructor

  - Defined in file/numbering/abstract-numbering.ts:18

  #### Parameters

  - ##### id: number

  #### Returns AbstractNumbering

## Properties

### id

id: number

- Defined in file/numbering/abstract-numbering.ts:18

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addLevel

- addLevel(level: Level): void

- - Defined in file/numbering/abstract-numbering.ts:32

  #### Parameters

  - ##### level: Level

  #### Returns void

### createLevel

- createLevel(num: number, format: string, text: string, align?: string): Level

- - Defined in file/numbering/abstract-numbering.ts:36

  #### Parameters

  - ##### num: number

  - ##### format: string

  - ##### text: string

  - ##### Default value align: string = "start"

  #### Returns Level

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:13

  #### Returns IXmlableObject

Generated using TypeDoc